ICode9

精准搜索请尝试: 精确搜索
  • LeetCode 1588 Sum of All Odd Length Subarrays 前缀和2022-09-15 17:30:19

    Given an array of positive integers arr, return the sum of all possible odd-length subarrays of arr. A subarray is a contiguous subsequence of the array. Solution 求所有奇数长度子序列的和。所以维护一个前缀和以后,我们只需要遍历间隔即可 点击查看代码 class Solut

  • CF1550C Manhattan Subarrays2022-07-21 12:01:42

    CF1550C Manhattan Subarrays 题面 对于平面上的两点 \(p(x_p,y_p),q(x_q,y_q)\) ,我们定义它们之间的曼哈顿距离 \(d(p,q)=|x_p-x_q|+|y_p-y_q|\) 。进一步定义由三个点构成的一组点 \(p,q,r\) 是坏的仅当 \(d(p,r)=d(p,q)+d(q,r)\) 。 我们定义序列 \(b\) 是好的仅当无法选出

  • LeetCode 907. Sum of Subarray Minimums2022-06-20 06:01:02

    原题链接在这里:https://leetcode.com/problems/sum-of-subarray-minimums/ 题目: Given an array of integers arr, find the sum of min(b), where b ranges over every (contiguous) subarray of arr. Since the answer may be large, return the answer modulo 109 + 7.

  • F - Subarrays Gym 103736F2022-06-03 21:32:40

    题意: 求有多少段连续的区间,他的区间和是k的倍数。 题解: 求取模后的前缀和,如果两点取模后的前缀和相同,则相减后、结果为零。也就是取模为零,也就是是k的倍数。 #include<bits/stdc++.h> #define int long long using namespace std; const int N=1e5+10; int n,k,ans; int a[N],sum;

  • [LeetCode] 1248. Count Number of Nice Subarrays 统计优美子数组2021-10-31 10:03:54

    Given an array of integers nums and an integer k. A continuous subarray is called nice if there are k odd numbers on it. Return the number of nice sub-arrays. Example 1: Input: nums = [1,1,2,1,1], k = 3 Output: 2 Explanation: The only sub-arrays wi

  • C. Manhattan Subarrays2021-09-28 16:32:31

    https://codeforces.com/problemset/problem/1550/C 定义了曼哈顿距离 如果满足 曼哈顿距离的等式 则 三点构成坏三角 如果没有坏三角就是好序列 问有个多少个子段是好的 ---- 只有三点构成v或者倒v时 就是不递增或者递减,不满足等式  子段长为1或者2都是可行的 子段长为3时,需要我

  • 1550C. Manhattan Subarrays 思维题2021-09-19 20:05:34

    看错题目三次,相当于做了三道不同的题.. 哪怕是在脑子不清楚的情况下,看好题目是多么重要的事啊。 多画图就可以发现答案不会超过4 虽然在开始的时候就有感觉是递减的 甚至看到了篇数学背景的论文讲这个事情.. 嘿嘿纪念一下,第一次想出1700的题?并且还出得挺快的,

  • 795. Number of Subarrays with Bounded Maximum2021-06-18 05:32:26

    We are given an array nums of positive integers, and two positive integers left and right (left <= right). Return the number of (contiguous, non-empty) subarrays such that the value of the maximum array element in that subarray is at least left and at

  • Educational Codeforces Round 93 (Rated for Div. 2) C. Good Subarrays(前缀和优化技巧)2021-05-02 11:01:24

    题目描述 You are given an array a1,a2,…,an consisting of integers from 0 to 9. A subarray al,al+1,al+2,…,ar−1,ar is good if the sum of elements of this subarray is equal to the length of this subarray (∑i=lrai=r−l+1). For example, if a=[1,2,0], the

  • [LeetCode] 1031. Maximum Sum of Two Non-Overlapping Subarrays 两个不重叠的子数组的最大和2021-02-15 15:05:38

    Given an array A of non-negative integers, return the maximum sum of elements in two non-overlapping (contiguous) subarrays, which have lengths L and M.  (For clarification, the L-length subarray could occur before or after the M-length subarray.) Fo

  • TABLE2021-01-26 13:01:12

    1 11352G Special Permutation 2 1353D Constructing the Array 3 1358C Celex Update 4 1363C Game On Leaves 5 1305C Kuroni and Impossible Calculation 6 1321C Remove Adjacent 7 1327C Game with Chips 8 1334C - Circle of Monsters 9 1336A - Linova and Kingdom 10

  • [LeetCode 1712] Ways to Split Array Into Three Subarrays2021-01-13 05:32:04

    A split of an integer array is good if: The array is split into three non-empty contiguous subarrays - named left, mid, right respectively from left to right. The sum of the elements in left is less than or equal to the sum of the elements in mid

  • Contiguous Subarrays2021-01-12 08:02:06

      https://leetcode.com/discuss/interview-question/742523/facebook-prep-question-contiguous-subarrays-on-solution   1 int[] countSubarrays(int[] arr) { 2 int len = arr.length; 3 4 Deque<Integer> stack = new ArrayDeque<>(); //i

  • [LeetCode 898] Bitwise ORs of Subarrays2020-12-05 04:01:27

    We have an array A of non-negative integers. For every (contiguous) subarray B = [A[i], A[i+1], ..., A[j]] (with i <= j), we take the bitwise OR of all the elements in B, obtaining a result A[i] | A[i+1] | ... | A[j]. Return the number of possible re

  • 1588. Sum of All Odd Length Subarrays2020-10-02 07:01:00

    Given an array consisting of n integers, find the contiguous subarray of given length k that has the maximum average value. And you need to output the maximum average value. Example 1: Input: [1,12,-5,-6,50,3], k = 4 Output: 12.75 Explanation: Maximum ave

  • Codeforces 1158 F. Density of subarrays(找性质+分段dp)2020-04-27 17:01:40

    http://codeforces.com/contest/1158/problem/F 先考虑如何求一个序列的density。 假设要求序列\(A[1..n]\)的density。 找到\(A[1..n]\)的最小一个前缀\(A[1..i]\),使其包含\(1-c\)的所有颜色。 那么我们可以 以这些颜色作为那些序列的开头,并且这样一定是最优的,那么\(Density(A[1.

  • 689. Maximum Sum of 3 Non-Overlapping Subarrays2020-04-20 12:52:15

    问题: 给定一个数组,求从中取得3组连续长度为 k 的子数组,使得3组数组和为最大,且使得3组的index尽可能小(★)。 Example: Input: [1,2,1,2,6,7,5,1], 2 Output: [0, 3, 5] Explanation: Subarrays [1, 2], [2, 6], [7, 5] correspond to the starting indices [0, 3, 5]. We could h

  • cf C. Eugene and an array2020-04-12 12:00:37

    C. Eugene and an array ps:又是一道我理解错题意的题 time limit per test 1.5 seconds memory limit per test 256 megabytes input standard input output standard output Eugene likes working with arrays. And today he needs your help in solving one challenging

  • Leetcode 1248 Count Number of Nice Subarrays (统计nice子数组个数) (双指针)2020-03-19 17:05:44

    目录 问题描述 例子 方法一 方法二 Leetcode 1248 问题描述 Given an array of integers nums and an integer k. A subarray is called nice if there are k odd numbers on it. Return the number of nice sub-arrays. 例子 Example 1: Input: nums = [1,1,2,1,1], k = 3

  • 689. Maximum Sum of 3 Non-Overlapping Subarrays2020-03-15 09:55:44

    In a given array nums of positive integers, find three non-overlapping subarrays with maximum sum. Each subarray will be of size k, and we want to maximize the sum of all 3*k entries. Return the result as a list of indices representing the starting posit

  • 【LeetCode 898】 Bitwise ORs of Subarrays2020-03-03 16:45:11

    题目描述 We have an array A of non-negative integers. For every (contiguous) subarray B = [A[i], A[i+1], …, A[j]] (with i <= j), we take the bitwise OR of all the elements in B, obtaining a result A[i] | A[i+1] | … | A[j]. Return the number of possibl

  • Leetcode 1031 Maximum Sum of Two Non-Overlapping Subarrays (滑动窗口)2020-02-02 12:58:01

    Leetcode 1031 题目描述 Given an array A of non-negative integers, return the maximum sum of elements in two non-overlapping (contiguous) subarrays, which have lengths L and M. (For clarification, the L-length subarray could occur before or after the M-length

  • Day8 - B - Non-Secret Cypher CodeForces - 190D2020-01-22 13:58:28

    Berland starts to seize the initiative on the war with Flatland. To drive the enemy from their native land, the berlanders need to know exactly how many more flatland soldiers are left in the enemy's reserve. Fortunately, the scouts captured an enemy

  • LeetCode 689. Maximum Sum of 3 Non-Overlapping Subarrays2019-12-09 13:01:41

    原题链接在这里:https://leetcode.com/problems/maximum-sum-of-3-non-overlapping-subarrays/ 题目: In a given array nums of positive integers, find three non-overlapping subarrays with maximum sum. Each subarray will be of size k, and we want to maximize the sum

  • 992. Subarrays with K Different Integers - Hard2019-08-23 09:01:13

    Given an array A of positive integers, call a (contiguous, not necessarily distinct) subarray of A good if the number of different integers in that subarray is exactly K. (For example, [1,2,3,1,2] has 3 different integers: 1, 2, and 3.) Return th

专注分享技术,共同学习,共同进步。侵权联系[81616952@qq.com]

Copyright (C)ICode9.com, All Rights Reserved.

ICode9版权所有